package no.ntnu.master.utils;

import no.ntnu.master.utils.Enums.WorldStates;

/**
 * Created by B on 04.01.2016.
 * Interface for worlds.
 */
public interface World {

    WorldStates getState();
    void setState(WorldStates worldState);

    void updateCoherency(float factor, boolean correctAnswer);

    String getCoherentPatch();

    boolean getIsFixed();

    float getCoherencyPercent();
}
